> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all sandboxes

> Get all sandboxes associated with the API key's account. Optionally filter by tag.



## OpenAPI

````yaml get /sandbox
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /sandbox:
    get:
      tags:
        - sandbox
      summary: List all sandboxes
      description: >-
        Get all sandboxes associated with the API key's account. Optionally
        filter by tag.
      operationId: list_sandboxes_sandbox_get
      parameters:
        - name: tag
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Optional sandbox tag string to filter by
            title: Tag
          description: Optional sandbox tag string to filter by
        - name: server_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Optional MCP server name to filter by (case-insensitive)
            title: Server Name
          description: Optional MCP server name to filter by (case-insensitive)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSandboxesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListSandboxesResponse:
      properties:
        sandboxes:
          items:
            $ref: '#/components/schemas/SandboxListItem'
          type: array
          title: Sandboxes
          description: List of sandboxes
        total_count:
          type: integer
          title: Total Count
          description: Total number of sandboxes
      type: object
      required:
        - sandboxes
        - total_count
      title: ListSandboxesResponse
      description: Response model for listing all sandboxes
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SandboxListItem:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
          description: Unique identifier for the sandbox
        server_name:
          type: string
          title: Server Name
          description: The MCP server name
        status:
          $ref: '#/components/schemas/SandboxStatus'
          description: Current status of the sandbox
        benchmark:
          anyOf:
            - type: string
            - type: 'null'
          title: Benchmark
          description: Benchmark for the sandbox initial environment
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
          description: Sandbox tags
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update timestamp
      type: object
      required:
        - sandbox_id
        - server_name
        - status
      title: SandboxListItem
      description: Individual sandbox item in list response
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SandboxStatus:
      type: string
      enum:
        - idle
        - occupied
        - error
      title: SandboxStatus
      description: Status of a sandbox instance - matches database enum
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````